Gentoo Archives: gentoo-commits

From: "Manuel Rüger" <mrueg@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-metrics/alertmanager/
Date: Thu, 31 Jan 2019 16:29:48
Message-Id: 1548952164.bcbeb04a638d057fc205ce8771cf11f17724acb1.mrueg@gentoo
commit:     bcbeb04a638d057fc205ce8771cf11f17724acb1
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 31 16:29:24 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan 31 16:29:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcbeb04a

app-metrics/alertmanager: Version bump to 0.16.1

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 app-metrics/alertmanager/Manifest                  |  1 +
 .../alertmanager/alertmanager-0.16.1.ebuild        | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-metrics/alertmanager/Manifest b/app-metrics/alertmanager/Manifest
index b9b477797b1..2631080eeed 100644
--- a/app-metrics/alertmanager/Manifest
+++ b/app-metrics/alertmanager/Manifest
@@ -4,3 +4,4 @@ DIST alertmanager-0.15.1.tar.gz 2756389 BLAKE2B 8da152f3edc856ea12025e08b108b475
 DIST alertmanager-0.15.2.tar.gz 2758175 BLAKE2B c2b612c2ad5723085c1d5515ce20505405e46d902a90a0aa1a32e51c35b5fd3b7e7e413e681907c4b0e9cdefc7b48d76354e55101add309a44e25f5e4f197f74 SHA512 05b1a5ad06f30b2f104196e96046faa8a0672db3d043e1c4308dbc542cbfee257b41e16d40f937495d45ca481e359b07a32e2c8ef4dfd9386154b4c68a2696b3
 DIST alertmanager-0.15.3.tar.gz 2758678 BLAKE2B 68c319e00e800fc35ce5a319b0c6bc3717bc7d5479e3204420949cc937a1470006d1e582f79b1562a810dc67c5827a6e0c8985618101a05c62c4231541d299a5 SHA512 95822f786b488fe747dbd780267f91830dbf0629878942a0ad131dcd3c8b18c34e672cb1e59151fb2ac9bcbf25095d0b134dabe4ff87d6a3625b4f443784f716
 DIST alertmanager-0.16.0.tar.gz 3608969 BLAKE2B a0cc7af4da45cb240e85cb39bd1eb87a8b8705f2ee2e87227cccd7e9ccc78278a89a089dd4a19a5a3d9f9667a0934b4e681e2fbbb378fb22510a742ee76fbaa3 SHA512 a3a2288d2a2205e0d94915603e4758447f194ebe06e69b5518fb7ebdb7d6ec4bab5db623e4dec57938a7936a9ac96be7cebd57304c7983deac11c61edd39b2b3
+DIST alertmanager-0.16.1.tar.gz 3611221 BLAKE2B 9871ff9c6e117cc8655d61b24d2f70a4061246d4c8902850c1802215b0dfa69d3b840ce46b237ae7d0caa2de33b956e7e9f47a8db40c6c32df53117e2d5e69b5 SHA512 7ac369bca5a3425bb80e5610a3e4141a2e112dac7c44d468096c7b80bcf7d77c7f653fd14d2db999f4abdea07df5ea250b27aa78c073be412777bdd289983332

diff --git a/app-metrics/alertmanager/alertmanager-0.16.1.ebuild b/app-metrics/alertmanager/alertmanager-0.16.1.ebuild
new file mode 100644
index 00000000000..16d6bf4df5c
--- /dev/null
+++ b/app-metrics/alertmanager/alertmanager-0.16.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/alertmanager"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+ALERTMANAGER_COMMIT="571caec"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Alertmanager for alerts sent by client applications such as Prometheus"
+HOMEPAGE="https://github.com/prometheus/alertmanager"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND=">=dev-lang/go-1.11
+	dev-util/promu"
+
+RESTRICT="test"
+
+pkg_setup() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+	default
+	sed -i -e "s/{{.Revision}}/${ALERTMANAGER_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+	pushd src/${EGO_PN} || die
+	mkdir -p bin || die
+	GO111MODULE=on GOPATH="${S}" GOCACHE="${T}/go-cache" promu build -v --prefix bin || die
+	popd || die
+}
+
+src_install() {
+	pushd src/${EGO_PN} || die
+	dobin bin/*
+	dodoc {README,CHANGELOG,CONTRIBUTING}.md
+	insinto /etc/alertmanager/
+	newins doc/examples/simple.yml config.yml.example
+	popd || die
+	keepdir /var/lib/alertmanager /var/log/alertmanager
+	fowners ${PN}:${PN} /var/lib/alertmanager /var/log/alertmanager
+	newinitd "${FILESDIR}"/${PN}.initd ${PN}
+	newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}